Subject: Re: bug#21337: 25.0.50; inotify error message

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Aug 2015 19:34:44 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 Aug 2015 18:22:16 +0200
> 
> >> That has shown that there's something amiss in our inotify
> >> support: my emacs now spams me with
> >> 
> >> "Error while trying to read file system events"
> >> 
> >> whenever I run Gnus, making it unusable.
> >
> > Please provide more details.  Do you have global-auto-revert-mode
> > enabled, per chance?
> 
> I do, but I've had that enabled for at least the last 6 months.  I
> went away on vacation, re-pulled & re-built, and got the inotify
> errors. Relevant .emacs:
> 
>  '(dired-auto-revert-buffer (quote dired-directory-changed-p))
>  '(global-auto-revert-mode t)
>  '(global-auto-revert-non-file-buffers t)
> 
> although disabling those 3 makes no difference to the behaviour.

Then I guess the next step is to set debug-on-error non-nil and show
the backtrace, so that we see what Lisp code errors out.

> I've double checked my emacs build was using gnotify before.
> 
> It's always possible that inotify is trying to access some
> non-existent file, but without a filename that's hard to determine.

Emacs doesn't watch files, it watches directories.